Bug 606529 - SELinux is preventing /usr/bin/perl "read" access on /root.
SELinux is preventing /usr/bin/perl "read" access on /root.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:17c608cdf97...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-21 17:00 EDT by Eddie Lania
Modified: 2010-07-06 13:09 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-33.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-06 13:09:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eddie Lania 2010-06-21 17:00:05 EDT
Summary:

SELinux is preventing /usr/bin/perl "read" access on /root.

Detailed Description:

SELinux denied access requested by logwatch. It is not expected that this access
is required by logwatch and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:logwatch_t:s0-s0:c0.c1023
Target Context                system_u:object_r:admin_home_t:s0
Target Objects                /root [ dir ]
Source                        logwatch
Source Path                   /usr/bin/perl
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           perl-5.10.1-112.fc13
Target RPM Packages           filesystem-2.4.31-1.fc13
Policy RPM                    selinux-policy-3.7.19-23.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.33.5-124.fc13.i686.PAE #1 SMP Fri Jun 11
                              09:42:24 UTC 2010 i686 i686
Alert Count                   65
First Seen                    Mon 21 Jun 2010 10:57:02 PM CEST
Last Seen                     Mon 21 Jun 2010 10:57:03 PM CEST
Local ID                      7eb9612b-27a4-4e66-a612-6eee0a008494
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1277153823.117:21192): avc:  denied  { read } for  pid=2393 comm="logwatch" name="root" dev=dm-1 ino=783362 scontext=system_u:system_r:logwatch_t:s0-s0:c0.c1023 tcontext=system_u:object_r:admin_home_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1277153823.117:21192): arch=40000003 syscall=5 success=no exit=-13 a0=bfcdd73c a1=98800 a2=38c338 a3=bfcdd73c items=0 ppid=2391 pid=2393 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4 comm="logwatch" exe="/usr/bin/perl" subj=system_u:system_r:logwatch_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,logwatch,logwatch_t,admin_home_t,dir,read
audit2allow suggests:

#============= logwatch_t ==============
allow logwatch_t admin_home_t:dir read;
Comment 1 Eddie Lania 2010-06-21 17:05:55 EDT
I got this after i enabled the dmeventd-logwatch script in the cron.d directory:

# |DMEVENTD| This will run logwatch checking for dmeventd events every minute.
* * * * * root /usr/sbin/logwatch --service dmeventd --range today --detail med
Comment 2 Daniel Walsh 2010-06-22 08:46:37 EDT
Strange that is lists the contents of /root directory.

Miroslav add

userdom_dontaudit_list_admin_dir(logwatch_t)
Comment 3 Miroslav Grepl 2010-06-28 10:07:26 EDT
Fixed in selinux-policy-3.7.19-32.fc13
Comment 4 Fedora Update System 2010-06-30 15:54:44 EDT
selinux-policy-3.7.19-33.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-33.fc13
Comment 5 Fedora Update System 2010-07-01 14:48:36 EDT
selinux-policy-3.7.19-33.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-33.fc13
Comment 6 Fedora Update System 2010-07-06 13:07:02 EDT
selinux-policy-3.7.19-33.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.